<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\SchoolClass\ClassId;
use DomainException;

use function sprintf;

final class ClasseNotFoundException extends DomainException
{
    public static function withId(ClassId $classId): self
    {
        return new self(sprintf(
            'La classe avec l\'ID "%s" n\'a pas été trouvée.',
            $classId,
        ));
    }
}
